Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.fsa
Class NonDeterminizedState

    java.lang.Object
      com.saxonica.fsa.AutomatonState
          com.saxonica.fsa.NonDeterminizedState

All Implemented Interfaces:
  State

    public class NonDeterminizedState

extends AutomatonState

A state in the non-determinized finite state machine

Field Summary

Fields inherited from class com.saxonica.fsa.AutomatonState
`EMPTY_EDGE_ARRAY, wildcardEdges`

Constructor Summary
`NonDeterminizedState(FiniteStateMachine machine)` Create a new state

Method Summary
`void` | `addLambdaTransition(AutomatonState newState)` Add a lambda transition from this state to another state.
`void` | `displayLambdaTransitions()` Display the lambda transitions available from this state
`java.util.List` | `getLambdaTransitions()` Get the lambda transitions from this state

Methods inherited from class com.saxonica.fsa.AutomatonState
`addSpecificTransition, addWildcardTransition, display, displayState, getEdges, getMaxTransition, getStateNumber, getTransition, getWildcardEdges, isConditionallyFinalState, isFinalState, listAllowedElements, requiresCounter, serialize, setFinalState, setLimits, setMaxTransition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonDeterminizedState

    public NonDeterminizedState(FiniteStateMachine machine)

  Create a new state

  Parameters:
    `machine` -

Method Detail

### addLambdaTransition

    public void addLambdaTransition(AutomatonState newState)

  Add a lambda transition from this state to another state. This is a transition that can take place when no symbol is read.

  Parameters:
    `newState` - the state that results from this event

### getLambdaTransitions

    public java.util.List getLambdaTransitions()

  Get the lambda transitions from this state

### displayLambdaTransitions

    public void displayLambdaTransitions()

  Description copied from class: `AutomatonState`
  Display the lambda transitions available from this state

  Overrides:
    `displayLambdaTransitions` in class `AutomatonState`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.